packages: acroread/acroread.spec, acroread/license-installer.sh - use new c...
pawelz
pawelz at pld-linux.org
Mon Oct 26 08:42:08 CET 2009
Author: pawelz Date: Mon Oct 26 07:42:08 2009 GMT
Module: packages Tag: HEAD
---- Log message:
- use new cvs layout
- BR rpm-build-tools >= 0:4.4.35 (needs builder.sh that uses new cvs layout)
---- Files affected:
packages/acroread:
acroread.spec (1.95 -> 1.96) , license-installer.sh (1.12 -> 1.13)
---- Diffs:
================================================================
Index: packages/acroread/acroread.spec
diff -u packages/acroread/acroread.spec:1.95 packages/acroread/acroread.spec:1.96
--- packages/acroread/acroread.spec:1.95 Sat Aug 8 14:36:03 2009
+++ packages/acroread/acroread.spec Mon Oct 26 08:42:03 2009
@@ -38,7 +38,7 @@
Requires: openldap-libs < 2.5
Requires: openldap-libs >= 2.4
%else
-Requires: rpm-build-tools
+Requires: rpm-build-tools >= 0:4.4.35
%endif
ExclusiveArch: %{ix86}
ExcludeArch: i386
@@ -206,6 +206,10 @@
All persons listed below can be reached at <cvs_login>@pld-linux.org
$Log$
+Revision 1.96 2009/10/26 07:42:03 pawelz
+- use new cvs layout
+- BR rpm-build-tools >= 0:4.4.35 (needs builder.sh that uses new cvs layout)
+
Revision 1.95 2009/08/08 12:36:03 hawk
- updated to 9.1.3
================================================================
Index: packages/acroread/license-installer.sh
diff -u packages/acroread/license-installer.sh:1.12 packages/acroread/license-installer.sh:1.13
--- packages/acroread/license-installer.sh:1.12 Mon Oct 26 00:19:45 2009
+++ packages/acroread/license-installer.sh Mon Oct 26 08:42:03 2009
@@ -1,12 +1,11 @@
#!/bin/sh
if [ "$1" = "--with" -a "$2" = "license_agreement" ]; then
tmp=$(mktemp -d)
- SPECDIR=`rpm --define "_topdir $tmp" --eval "%{_specdir}"`
SRPMDIR=`rpm --define "_topdir $tmp" --eval "%{_srcrpmdir}"`
- SOURCEDIR=`rpm --define "_topdir $tmp" --eval "%{_sourcedir}"`
BUILDDIR=`rpm --define "_topdir $tmp" --eval "%{_builddir}"`
RPMDIR=`rpm --define "_topdir $tmp" --eval "%{_rpmdir}"`
- mkdir -p $SPECDIR $SRPMDIR $RPMDIR $SOURCEDIR $BUILDDIR
+ PACKAGEDIR="$tmp/packages/acroread"
+ mkdir -p $SRPMDIR $RPMDIR $BUILDDIR $PACKAGEDIR
if echo "$3" | grep '\.src\.rpm$' >/dev/null; then
(
@@ -16,20 +15,20 @@
else
cp -f "$3" $SRPMDIR
fi
- rpm2cpio `basename "$3"` | ( cd $SPECDIR; cpio -i @BASE_NAME at .spec )
+ rpm2cpio `basename "$3"` | ( cd $PACKAGEDIR; cpio -i @BASE_NAME at .spec )
if [ '@COPYSOURCES@' != '@'COPYSOURCES'@' ]; then
- rpm2cpio `basename "$3"` | ( cd $SOURCEDIR; cpio -i @COPYSOURCES@ )
+ rpm2cpio `basename "$3"` | ( cd $PACKAGEDIR; cpio -i @COPYSOURCES@ )
fi
)
else
- cp -i "$3" $SPECDIR || exit 1
+ cp -i "$3" $PACKAGEDIR || exit 1
if [ '@COPYSOURCES@' != '@'COPYSOURCES'@' ]; then
for i in @COPYSOURCES@; do
- cp -i @DATADIR@/$i $SOURCEDIR/$i || exit 1
+ cp -i @DATADIR@/$i $PACKAGEDIR/$i || exit 1
done
fi
fi
- ( cd $SPECDIR
+ ( cd $PACKAGEDIR
nd=
if [ '@USE_DISTFILES@' = 'no' ]; then
nd=-nd
================================================================
---- CVS-web:
http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/packages/acroread/acroread.spec?r1=1.95&r2=1.96&f=u
http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/packages/acroread/license-installer.sh?r1=1.12&r2=1.13&f=u
More information about the pld-cvs-commit
mailing list